





                       CLIPS User's Guide



                               by


    

                   Joseph C. Giarratano, Ph.D









                 Artificial Intelligence Section

                      Johnson Space Center









                         September 29, 1986
.PA
                            Preface


   This book is a tutorial on the CLIPS expert system language.  Its companion 
volume is the CLIPS Reference Manual, written by Chris Culbert.
   The CLIPS User's Guide can be used in the classroom or for self-teaching.  
The only prerequisite is that you have a basic knowledge of programming 
 in a high-level language such as Pascal, Ada, FORTRAN, C, or BASIC.
   The CLIPS User's Guide is designed for people who want to learn about expert 
system programming in a hands-on manner.  Other than a knowledge 
 of basic programming, no special background is assumed about the reader.  
Thus, the examples are of a general nature.  Also, since learning 
 a new language can be a frustrating experience, the writing is in a light 
style (I hope).
   For maximum benefit, you should type in the example programs in the text as 
you read through the book.  By typing in the examples, you will 
 see how the programs should work and what error messages occur if you make a 
mistake.  The output for the examples is shown or described after 
 each one.  You should also plan to work the problems at the end of the 
chapters.  Most of the problems are simply exercises to give you experience 
 in the CLIPS syntax described in each chapter.
   Like any other programming language, you will only learn programming in 
CLIPS by writing programs in it.  To really learn expert system programming, 
 you should pick a problem of interest to you and write it in CLIPS.  By the 
time you finish working through this book and doing the problems 
 at the end of the chapters, you should be able to write simple expert systems 
applications.  As your experience with CLIPS grows, you will be 
 able to write more extensive programs.
   I greatly appreciate the advice and criticism of several people at Johnson 
Space Center in the development of this book.  Thanks to Gary Riley, 
 Chris Culbert, Brian Donnell, Kirt Fields, and Steven Lewis.  Special thanks 
to Bob Savely for supporting the development of CLIPS and his encouragement 
 of this book.
.PA


